def f(a,n,r):
    if n==0:
        return 0
    if a[n-1]-r<=0:
        return 0
    else:
        i=n-1
        while a[i]==a[n-1]:
            if i>0:
                i-=1
            if i==0:
                break
        i+=1
        u=n-i


       
        return f(a,n-u,r+u)+ (a[n-1]-r)*u
    
        
        
    


n=int(input())
a=list(map(int,input().split()))

print(f(a,n,0))
i=n-1
while a[i]==a[n-1]:
    i-=1
    if i==-1:
        break
i+=1
u=n-i
print(u)
